%define name libdbmusic
%define version 0.8.2
%define release  %mkrel 1
%define major 0
%define libname	%mklibname dbmusic %{major}
%define summary  A music collection library API using PostgreSQL 

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source0: %{name}-%version.tar.bz2
URL: http://kmusicdb.sourceforge.net 
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.4
BuildRequires: postgresql-devel >= 8.1


%description
A music collection library API using PostgreSQL 

%package -n %{libname}
Summary:   Thread-safe data encryption library
Group:     System/Libraries 
Provides:       %{libname}=%{version}-%{release}  

 
%description -n %{libname}
A music collection library API using PostgreSQL 
 

%package -n %{libname}-devel
Summary:  Header files and libraries for developing apps with libdbmusic
Group:    Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

 
 
%description -n %{libname}-devel
This package contains the header files and libraries needed to
develop programs that use the libdbmusic library.
Install it if you want to develop such applications.


 
%prep
%setupe -q

%build
%configure2_5x --with-qtdir=%_libdir/qt3
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig 
 

%files -n %{libname}
%defattr(-,root,root) 
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*
 

%files -n %{libname}-devel 
%defattr(-,root,root)
%{_datadir}/%{name}/dbmusic.dump
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Fri Apr 14 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
- 0.8.2

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- rebuild

* Sat Dec  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- final 0.5.0

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.1.beta1.1mdk
- new version

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre3.2mdk
- arrgh, use right source

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- new version

* Sat Nov  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-0.beta1.1mdk
- initial package from Charles A Edwards

* Thu Nov 7 2002 Charles A Edwards <eslrahc@bellsouth.net> 
- 0.4.1beta1




 



